deprecated

  use `Mocha.Runnable` instead.

### Hierarchy

- IRunnable

## Index

### Properties

- async
- duration
- fn
- sync
- timedOut
- title

### Methods

- timeout

## Properties

### async

async: boolean

- Defined in node_modules/@types/mocha/index.d.ts:2506

### Optional duration

duration: undefined | number

- Defined in node_modules/@types/mocha/index.d.ts:2511

### fn

fn: Function | undefined

- Defined in node_modules/@types/mocha/index.d.ts:2505

deprecated

  `.fn` has type `Func | AsyncFunc` in `Mocha.Runnable`.

### sync

sync: boolean

- Defined in node_modules/@types/mocha/index.d.ts:2507

### timedOut

timedOut: boolean

- Defined in node_modules/@types/mocha/index.d.ts:2508

### title

title: string

- Defined in node_modules/@types/mocha/index.d.ts:2503

## Methods

### timeout

- timeout(n: number | string): this

- - Defined in node_modules/@types/mocha/index.d.ts:2510
  deprecated

    `.timeout()` has additional overloads in `Mocha.Runnable`.

  #### Parameters

  - ##### n: number | string

  #### Returns this

Generated using TypeDoc